Package Details: perl-net-netmask 2.0001-1

Git Clone URL: https://aur.archlinux.org/perl-net-netmask.git (read-only, click to copy)
Package Base: perl-net-netmask
Description: Parse, manipulate and lookup IP network blocks.
Upstream URL: https://metacpan.org/release/Net-Netmask
Licenses: GPL, PerlArtistic
Submitter: kass
Maintainer: bidulock
Last Packager: bidulock
Votes: 22
Popularity: 0.000000
First Submitted: 2008-07-25 08:48 (UTC)
Last Updated: 2022-05-23 19:44 (UTC)

Latest Comments

cgirard commented on 2020-12-13 19:05 (UTC)

Missing for tests to work:

checkdepends=('perl-test-useallmodules' 'perl-test2-suite')

eniac commented on 2020-12-12 18:22 (UTC) (edited on 2020-12-12 18:23 (UTC) by eniac)

I have 1.9022-2 installed, can't compile the latest version. Tests are not executed (all end with: "Non-zero exit status: 2" and "Parse errors: No plan found in TAP output"), and then I have this:

Files=16, Tests=0,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.03 cusr  0.00 csys =  0.08 CPU)
Result: FAIL
Failed 8/16 test programs. 0/0 subtests failed.
make: *** [Makefile:875: test_dynamic] Error 2
==> ERROR: A failure occurred in check().

bidulock commented on 2019-08-01 03:42 (UTC) (edited on 2019-08-01 03:44 (UTC) by bidulock)

"perl" is in core. If you don't have pod2text you don't have a proper chroot setup, or it is out of date.

Builds fine for me in a clean chroot.

PedroHLC commented on 2019-07-31 22:26 (UTC)

When I try to build from a clean chroot I get:

pod2text: command not found

I see it comes from 'perl', and 'perl' is installed as a dependency of 'texinfo' from 'base-devel', am I missing something?

kass commented on 2013-08-28 12:34 (UTC)

Fixed.

arlimus commented on 2013-08-24 22:35 (UTC)

Hi kass, could you please update the PKGBUILD? When i try installing it no files are inside the generate package. A minor fix to get it working can be found here: http://pastebin.com/B5qkLg5C Thank you!!

jnbek commented on 2013-08-24 21:03 (UTC)

Please update... also I have no idea where this is getting installed, but when I install this and run: perl -MNet::Netmask -e1 it spews module not found... may want to fix that too.